diff mbox series

[net,3/3] selftests: forwarding: fix error message in learning_test

Message ID 20220703073626.937785-4-vladimir.oltean@nxp.com (mailing list archive)
State Accepted
Commit 83844aacab2015da1dba1df0cc61fc4b4c4e8076
Headers show
Series Fix bridge_vlan_aware.sh and bridge_vlan_unaware.sh with IFF_UNICAST_FLT | expand

Commit Message

Vladimir Oltean July 3, 2022, 7:36 a.m. UTC
When packets are not received, they aren't received on $host1_if, so the
message talking about the second host not receiving them is incorrect.
Fix it.

Fixes: d4deb01467ec ("selftests: forwarding: Add a test for FDB learning")
Signed-off-by: Vladimir Oltean <vladimir.oltean@nxp.com>
---
 tools/testing/selftests/net/forwarding/lib.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Ido Schimmel July 3, 2022, 10:03 a.m. UTC | #1
On Sun, Jul 03, 2022 at 10:36:26AM +0300, Vladimir Oltean wrote:
> When packets are not received, they aren't received on $host1_if, so the
> message talking about the second host not receiving them is incorrect.
> Fix it.
> 
> Fixes: d4deb01467ec ("selftests: forwarding: Add a test for FDB learning")
> Signed-off-by: Vladimir Oltean <vladimir.oltean@nxp.com>

Reviewed-by: Ido Schimmel <idosch@nvidia.com>
diff mbox series

Patch

diff --git a/tools/testing/selftests/net/forwarding/lib.sh b/tools/testing/selftests/net/forwarding/lib.sh
index 26ba8b5d264a..3ffb9d6c0950 100755
--- a/tools/testing/selftests/net/forwarding/lib.sh
+++ b/tools/testing/selftests/net/forwarding/lib.sh
@@ -1251,7 +1251,7 @@  learning_test()
 	tc -j -s filter show dev $host1_if ingress \
 		| jq -e ".[] | select(.options.handle == 101) \
 		| select(.options.actions[0].stats.packets == 1)" &> /dev/null
-	check_fail $? "Packet reached second host when should not"
+	check_fail $? "Packet reached first host when should not"
 
 	$MZ $host1_if -c 1 -p 64 -a $mac -t ip -q
 	sleep 1